Bug 354441 - Review Request: nautilus-share - Easy sharing folder via Samba (CIFS) protocol
Review Request: nautilus-share - Easy sharing folder via Samba (CIFS) protocol
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-26 13:05 EDT by Jakub 'Livio' Rusinek
Modified: 2009-09-21 17:44 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-23 15:43:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jakub 'Livio' Rusinek 2007-10-26 13:05:31 EDT
Spec URL: http://vameo.org/liviofiles/nautilus-share.spec
SRPM URL will not be built by me (I messed up with Rawhide packages)
Description: 
Nautilus extension designed for easier folders sharing via Samba (CIFS) protocol in *NIX systems.

It's my first OFFICIAL package for Fedora. I'm seeking for a sponsor.
Comment 1 Mamoru TASAKA 2007-10-26 14:11:03 EDT
(In reply to comment #0)
> SRPM URL will not be built by me (I messed up with Rawhide packages)
  - What to you mean?
    Please upload srpm, otherwise we cannot review your package.
    You can create your srpm by "rpm -bs foo.spec".

Anyway some comments (just from a quick look at your spec file)
- Perhaps "Requires: dbus libglade libdaemon" can all be removed.
  rpmbuild checks the dependency of this package for libraries and
  adds them to Requires automatically.
- Please update License tag (please refer to:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines
  http://fedoraproject.org/wiki/Licensing )
- Make it sure that all directories created by this package are
  owned by this package.
  - For example, the directory %{_datadir}/nautilus-share/ is not
    owned by any package.
  ! Note
    - When you write
---------------------------------------------------------------------
%files
%{_datadir}/nautilus-share/
---------------------------------------------------------------------
      This contains the directory %{_datadir}/nautilus-share/ itself
      and all files/directories/etc under %{_datadir}/nautilus-share/.
Comment 2 Jakub 'Livio' Rusinek 2007-10-26 14:25:14 EDT
Sorry, I can't build SRPM because I can't install -devel packages.
I have gtk2 from Rawhide, but gtk2-devel won't install because of mesa issues, I
tried, believe me.

SPEC fixed.
Comment 3 Jakub 'Livio' Rusinek 2007-10-26 15:04:09 EDT
New SPEC URL: http://liviopl.jogger.pl/files/nautilus-share.spec
Comment 4 Jakub 'Livio' Rusinek 2007-10-27 06:14:33 EDT
I've added few BuildRequires and fixed some questions from yesterday.
Comment 5 Mamoru TASAKA 2007-10-27 06:49:55 EDT
You can still create srpm by "rpm -bs --nodeps foo.spec".
By the way, do you mean that you never tried to rebuild your spec
by yourself? How can you check your spec file without it?
Comment 6 Jakub 'Livio' Rusinek 2007-10-27 06:58:21 EDT
[[ You can still create srpm by "rpm -bs --nodeps foo.spec". ]]
I can't because I can't install required -devels to build because of mesa issue
in Rawhide.
Friend helped me with BRs.
Comment 7 Jakub 'Livio' Rusinek 2007-10-27 07:04:54 EDT
Main problem when trying to install gtk2-devel isn't updateing everything to
Rawhide versions, but this:

--> Processing Conflict: pam conflicts db4 >= 4.6.0
--> Processing Conflict: mesa-libGL-devel conflicts xorg-x11-proto-devel <= 7.2-12
Comment 8 Jakub 'Livio' Rusinek 2007-10-27 07:07:48 EDT
Again,

[livio@rocket ~]$ sudo yum --enablerepo=development
--enablerepo=livna-development install gtk2-devel > log

Error: Missing Dependency: compiz = 0.5.2 is needed by package
compiz-fusion-plugins-extra
Error: Missing Dependency: compiz = 0.5.2 is needed by package
compiz-fusion-plugins-unsupported
Error: Missing Dependency: compiz = 0.5.2 is needed by package
compiz-fusion-plugins-main - can be fixed by removing Compiz Fusion plugins

Error: Missing Dependency: firefox = 2.0.0.6 is needed by package
gnome-python2-gtkmozembed
Error: mesa-libGL-devel conflicts with xorg-x11-proto-devel <= 7.2-12
Error: Missing Dependency: libpoppler-glib.so.1 is needed by package gimp -
probably can be fixed by removing gimp
Error: Missing Dependency: firefox = 2.0.0.6 is needed by package
ruby-gtkmozembed - probably can be fixed by removing ruby libraries

[livio@rocket ~]$ sudo rpm -e mesa-libGL-devel xorg-x11-proto-devel
błąd: pakiet mesa-libGL-devel nie jest zainstalowany (isn't installed)
błąd: pakiet xorg-x11-proto-devel nie jest zainstalowany
[livio@rocket ~]$ 
Comment 9 Mamoru TASAKA 2007-10-27 08:38:39 EDT
Don't ask here. Please make it sure that you can build
your srpm by yourself before submitting to review request.
Comment 10 Jakub 'Livio' Rusinek 2007-10-27 09:04:31 EDT
I'm not asking here for anything.
I'm showing you the issue that makes me unable to build SRPM.
Comment 11 Michał Bentkowski 2007-10-27 14:12:06 EDT
(In reply to comment #5)
> You can still create srpm by "rpm -bs --nodeps foo.spec".

You shoulda written "rpmbuild -bs --nodeps foo.spec".
This should work in any case :)
Comment 12 Jakub 'Livio' Rusinek 2007-10-27 14:14:24 EDT
SRPM: http://liviopl.jogger.pl/files/nautilus-share-0.7.2-6.fc7.src.rpm
Made using --nodeps. Sclerosis doesn't hurt.
Comment 14 Mamoru TASAKA 2007-11-22 07:53:54 EST
By the way was the problem of buildroot issue you had already solved?
Comment 15 Jakub 'Livio' Rusinek 2007-11-22 09:24:33 EST
Don't remember. Should I try a scratch build?
Comment 16 Mamoru TASAKA 2007-11-22 10:05:13 EST
If you are talking about koji scratch build, I guess you cannot do
because you are not sponsored.

Anyway:
* Please remove redundant BuildRequires.
  - For example, gtk2-devel requires glib2-devel, so "BuildRequires:
    glib2-devel is not needed".
    There are some other redundant BuildRequires (eel2-devel has
    many dependencies)
  - And is libglade-devel (not libglade2-devel) really needed 
    for BuildRequires?

* For perl module dependency, please write the module name, not
  direct rpm name like "Requires: perl(XML::Parser)"
  c.f.
  http://fedoraproject.org/wiki/Packaging/Perl

* Try to add
  'INSTALL="install -p"' to 'make install' to keep timestamps on
  installed files. This method "usually" works for recent makefiles.

* The file "INSTALL" is usually unneeded.
  This file is generally needed for people who want to compile/install
  a package by themselves and not needed for rpm users.
Comment 17 Jakub 'Livio' Rusinek 2007-11-22 12:33:41 EST
[offtopic] I was sponsored by ecik. My first package was gnome-applet-tvn24,
approved, included in repo. [/offtopic]

[[ Please remove redundant BuildRequires. ]]

Ok...

[[ And is libglade-devel (not libglade2-devel) really needed 
    for BuildRequires? ]]

Probably not, but if requires libglade, it was automatic thing, to add -devel.

[[ For perl module dependency, please write the module name, not
  direct rpm name like "Requires: perl(XML::Parser)" ]]

I have "perl-XML-Parser". Don't understand, what you're talking about.

[[ The file "INSTALL" is usually unneeded.
  This file is generally needed for people who want to compile/install
  a package by themselves and not needed for rpm users. ]]

Read the content, then say something... It contains info about Samba
configuration, not the usual yada-yada.

SRPM URL: http://liviopl.fedorapeople.org/nautilus-share-0.7.2-8.fc7.src.rpm
SPEC URL: http://liviopl.fedorapeople.org/nautilus-share.spec
Comment 18 Mamoru TASAKA 2007-11-23 08:01:02 EST
For 0.7.2-8:

* rpmlint for src
  - Please change the permission of tarball in
    srpm to 0644.

* BuildRequires
  - Please try to delete more BuildRequires
    * dbus-devel is required by gnome-vfs2-devel
    * gtk2-devel is required by eel2-devel
    * gnome-vfs2-devel is required by eel2-devel

  - And "BuildRequires: perl-XML-Parser" should be
    changed to "BuildRequires: perl(XML::Parser)".

* License
  - This license is GPLv2+, not GPL+.

* Timestamps
  - Please try to add 'INSTALL="install -p"' to
    'make install', not 'make' in %build section.

* Static archive removal
  - Please check if this configure accepts --disable-static
    option and this disables static archive creation
    automatically.
Comment 19 Jakub 'Livio' Rusinek 2007-11-23 09:01:41 EST
1. Ok.
2. Ok.
3. Ok.
4. Ok.
5. Works:

   [[ checking whether to build shared libraries... yes
   checking whether to build static libraries... no
   ]]

SPEC URL: http://liviopl.fedorapeople.org/nautilus-share.spec
SRPM URL: http://liviopl.fedorapeople.org/nautilus-share-0.7.2-9.fc8.src.rpm
Comment 20 Mamoru TASAKA 2007-11-23 10:13:55 EST
For 0.7.2-9:

* libtool .la file
  - --disable-static removes static archive creation, however
    usually libtool .la file is still created.
    You have to delete .la files as before.

* Permission of source tarball.
  - Please don't change in spec file (build time). Fix the permission before
    creatin srpm and don't write "chmod 0644 %{SOURCE0}".
Comment 21 Jakub 'Livio' Rusinek 2007-11-23 10:33:54 EST
1. rpmbuils fails to build because the .la files don't exist.
2. Fixed

SPEC URL: http://liviopl.fedorapeople.org/nautilus-share.spec
SRPM URL: http://liviopl.fedorapeople.org/nautilus-share-0.7.2-10.fc8.src.rpm
Comment 22 Mamoru TASAKA 2007-11-23 10:55:03 EST
libtool .la file is left.

[tasaka1@localhost ~]$ rpm -q nautilus-share
nautilus-share-0.7.2-9.fc9
[tasaka1@localhost ~]$ rpm -ql nautilus-share | grep la$
/usr/lib/nautilus/extensions-1.0/libnautilus-share.la
Comment 24 Mamoru TASAKA 2007-11-23 11:50:37 EST
Okay.

--------------------------------------------------------
  This package (nautilus-share) is APPROVED by me
--------------------------------------------------------
Comment 25 Jakub 'Livio' Rusinek 2007-11-23 11:57:45 EST
New Package CVS Request
=======================
Package Name: nautilus-share
Short Description: Easy sharing folder via Samba (CIFS protocol)
Owners: liviopl
Branches: F-7 F-8
InitialCC: liviopl
Cvsextras Commits: yes
Comment 26 Kevin Fenzi 2007-11-23 14:59:02 EST
cvs done.
Comment 27 Jakub 'Livio' Rusinek 2007-11-23 15:07:46 EST
thanks.

Note You need to log in before you can comment on or make changes to this bug.